WordPress.org

Support

Support » Plugins and Hacks » Is it safe to upgrade TinyMCE?

Is it safe to upgrade TinyMCE?

  • I want to upgrade TinyMCE to the newest version to take advantage of all the extra plugins that don’t come with WordPress for some reason. Is it safe to just overwrite the JavaScript file or were they modified and adopted for WordPress?

Viewing 5 replies - 1 through 5 (of 5 total)
  • Nobody knows?

    I tried taking the latest from the development HEAD, I updated all the js files, TinyMCE files, and I think there were like 4 php files however I found while it did load, it broke all my TinyMCE integration plugins (like my gallery2 plugin). It also blew out the posting page so the entry windows in TinyMCE was like 2000 pixels across.

    I’ve used tinymce on other applications and on wordpress, and I’d say based on comparison it’s been heavily modded. Of course, anyone could have surmised that by the fact that tinymce seems to work well on other applications, while on WP it’s a hazard and a nightmare.

    What this means is probably not.

    You will be better to wait a little for a new version of WP the latest TinyMCE 2.0.5 is included and it does include a handy spellcheck function and a few bug fixes.

    Dont think it’ll be too long before a new WP is released

    In case you are interested, I got 2.0.5 working and have the hacked files available on my site:

    http://www.gochnauer.org/index.php/2006/04/29/wordpress-tinymce-patch-205/

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Is it safe to upgrade TinyMCE?’ is closed to new replies.
Skip to toolbar